> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new snapshot from a run

> Create new snapshot from a volumes mounted in a run, must be called by super user



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.yaml post /rpc/create-snapshot-from-run
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /rpc/create-snapshot-from-run:
    post:
      tags:
        - snapshots
      summary: Create new snapshot from a run
      description: >-
        Create new snapshot from a volumes mounted in a run, must be called by
        super user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.CreateSnapshotFromRun'
        description: Snapshot to create from run ID
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/remotefs.Snapshot'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '423':
          description: Locked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.CreateSnapshotFromRun:
      properties:
        description:
          type: string
        runId:
          description: Run ID associated with the snapshot
          type: string
        userId:
          description: User that initiated the run, set as snapshot creator
          type: string
        volumeId:
          type: string
      required:
        - runId
        - userId
        - volumeId
      type: object
    remotefs.Snapshot:
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        description:
          type: string
        id:
          type: string
        labels:
          additionalProperties:
            type: string
          description: System-specified, e.g. for Flows artifacts
          type: object
        lastMountedTime:
          type: string
        runId:
          description: Optional field denoting resource associated with a run
          type: string
        status:
          $ref: '#/components/schemas/remotefs.ResourceStatus'
        tags:
          description: >-
            User-specified, used for mount path resolution and is derived from
            SnapshotTags
          items:
            $ref: '#/components/schemas/remotefs.SnapshotTag'
          type: array
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        version:
          description: Links to ONTAP snapshot name
          type: integer
        volumeId:
          type: string
      required:
        - createdAt
        - createdBy
        - id
        - status
        - updatedAt
        - updatedBy
        - version
        - volumeId
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.UserSummary:
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
      required:
        - firstName
        - id
        - lastName
        - userName
      type: object
    remotefs.ResourceStatus:
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      type: string
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted
    remotefs.SnapshotTag:
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        name:
          type: string
      required:
        - addedAt
        - addedBy
        - name
      type: object

````